Subject: Re: bug#46466: 28.0.50; Tramp hangs with bad prompt even when using /bin/sh

From: Erik Hetzner <[email-masked]>
Date: Wed, 23 Jun 2021 21:40:01 -0700

Hi Michael,

On Sat, 19 Jun 2021 01:48:37 -0700,
Michael Albinus <[email-masked]> wrote:
> 
> Erik Hetzner <[email-masked]> writes:
> 
> > Hi Michael,
> 
> Hi Erik,
> 
> > Thank you for the reminder. While revisiting this issue I came across
> > an alternate fix: adding %l to the tramp-login-args for ssh. I suspect
> > there is a reason this is not a viable fix, but I’m not sure what it
> > is.
> 
> Good that it works for you. However, it can't be applied in general. If
> somebody has declared RemoteCommand in ~/.ssh/config, it will
> fail. Furthermore, it will fail for direct async processes.
> 
> You might keep your local setting, or you might use the "sshx" method
> instead of "ssh", which sets RemoteCommand. Does this work for you?

Thanks very much for the explanation. I couldn’t figure out if it
would be an issue with direct async.

This is a solution for me, thank you. Please do close the ticket.

I would like the documentation to be a little clearer about the fact
that the remote default shell is used in many methods (and not
/bin/sh). I will explore filing a patch for that.

Thank you for your help and for maintaining the very useful tramp!

best, Erik